Globalpayroll 7 endpoints

PATCH /gp/workers/{worker_id}/banks/{bank_id}

Modify bank account for an employee.

operationId: GlobalPayroll_modifyBankAccount

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

bank_id path optional string

Bank Account id.

Request Body

Request body to add new bank account for employee

application/json
schema AddWorkerBankAccountContainer
Property Type Required
data object required
city string optional
iban string optional
email string optional
phone string optional
postal string optional
tax_id string optional
bank_code string optional
bank_name string optional
full_name string optional
swift_bic string optional
rib_number string optional
branch_code string optional
account_type string optional
country_code string optional
address_line1 string optional
address_line2 string optional
currency_code string optional
original_name string optional
account_number string optional
province_state string optional
…3 more object optional

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

PATCH /gp/workers/{worker_id}/banks/{bank_id}
PATCH /gp/workers/{worker_id}/compensation

Update the compensation of a Global Payroll employee. Returns the full compensation history including the update.

operationId: GlobalPayroll_updateCompensationHistory

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Request Body

The desired compensation of the Global Payroll employee

application/json
schema GPEmployeeCompensationToUpdateContainer
Property Type Required
data object required
scale string required
salary number required
effective_date string required

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

PATCH /gp/workers/{worker_id}/compensation
PATCH /gp/workers/{worker_id}/employee-information

Update Global Payroll employee information.

operationId: GlobalPayroll_updateEmployeeInformation

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Request Body

The desired information of the Global Payroll employee

application/json
schema GPEmployeeInformationToUpdateContainer
Property Type Required
data object required
gender string optional
last_name string optional
first_name string optional
middle_name string optional
date_of_birth string optional
marital_status string optional
employee_number string optional

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

PATCH /gp/workers/{worker_id}/employee-information
GET /gp/workers/{worker_id}/payslips

Get of payslips for an employee.

operationId: GlobalPayroll_getPayslips

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /gp/workers/{worker_id}/payslips
GET /gp/workers/{worker_id}/payslips/{payslip_id}/download

Get download url for GP payslip.

operationId: GlobalPayroll_getPayslipDownloadUrl

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

payslip_id path optional string

Unique identifier for a payslip.

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

GET /gp/workers/{worker_id}/payslips/{payslip_id}/download
PATCH /gp/workers/{worker_id}/pto-policy

Update the PTO policy of a Global Payroll employee.

operationId: GlobalPayroll_updatePtoPolicy

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Request Body

The desired PTO policy of the Global Payroll employee

application/json
schema GPEmployeePTOToUpdateContainer
Property Type Required
data object required
yearly_allowance string required
accrual_start_date string required

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

PATCH /gp/workers/{worker_id}/pto-policy
POST /gp/workers/{worker_id}/terminations

Request a termination for a global payroll employee. A successful call starts the termination process and does not confirm termination.

operationId: GlobalPayroll_requestTerminationProcess

Parameters

Name In Required Type Description
worker_id path optional string

Unique identifier for a worker.

Request Body

Request body to add new bank account for employee

application/json
schema WorkerTerminationBodyContainer
Property Type Required
data object required
message string required
severance object required
is_voluntary boolean required
desired_end_date string required
last_date_of_work string required

Responses

201

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

500

Operation failed.

POST /gp/workers/{worker_id}/terminations

Invoices 8 endpoints

GET /contracts/{contract_id}/invoice-adjustments

Retrieve invoice line items for a given contract id.

operationId: Invoices_getLineItemsByContract

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

contract_types query optional

types of contracts to filter

types query optional

types of invoice adjustments to filter

statuses query optional

statuses of invoice adjustment to filter

invoice_id query optional number

ID of an existing invoice; NOTE: technically ALL query parameters are strings or array of strings

reporter_id query optional number

ID of an existing profile; NOTE: technically ALL query parameters are strings or array of strings

date_from query optional

to get invoice adjustments submitted on or after given start date (inclusive)

date_to query optional

to get invoice adjustments submitted before given end date (excludes records submitted on this date)

limit query optional number

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

offset query optional number

Return a page of results after given index of row; NOTE: technically ALL query parameters are strings or array of strings

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/invoice-adjustments
GET /invoice-adjustments

Retrieve invoice adjustments. You can filter the list by providing additional parameters e.g. contract_id, contract_type etc.

operationId: Invoices_listInvoiceAdjustments

Parameters

Name In Required Type Description
contract_id query optional string

Id of an Deel contract.

contract_types query optional

types of contracts to filter

types query optional

types of invoice adjustments to filter

statuses query optional

statuses of invoice adjustment to filter

invoice_id query optional number

ID of an existing invoice; NOTE: technically ALL query parameters are strings or array of strings

reporter_id query optional number

ID of an existing profile; NOTE: technically ALL query parameters are strings or array of strings

date_from query optional

to get invoice adjustments submitted on or after given start date (inclusive)

date_to query optional

to get invoice adjustments submitted before given end date (excludes records submitted on this date)

limit query optional number

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

offset query optional number

Return a page of results after given index of row; NOTE: technically ALL query parameters are strings or array of strings

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /invoice-adjustments
POST /invoice-adjustments

Create an invoice adjustment using this endpoint. For example, you can add a bonus, commission, VAT %, deduction etc. to an invoice.

operationId: Invoices_createAdjustment

Parameters

Name In Required Type Description
recurring query optional boolean

Add this invoice adjustment as recurring

Request Body

InvoiceAdjustment object that needs to be created

application/json
schema InvoiceAdjustmentToCreateContainer
Property Type Required
data object required
type string required
amount number required
contract_id string required
description string required
date_submitted string required
paymentCycleId number optional
multipart/form-data
schema InvoiceAdjustmentToCreateWithFile
Property Type Required
type string required
amount number required
contract_id string required
description string required
date_submitted string required
paymentCycleId number optional
file string optional

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /invoice-adjustments
POST /invoice-adjustments/many/reviews

Review multiple invoice adjustments to approve or decline a batch.

operationId: Invoices_reviewMultiple

Request Body

InvoiceAdjustment review objects that need to be created

application/json
schema InvoiceAdjustmentReviewsToCreateContainer
Property Type Required
data object required
ids array required
reason string required
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /invoice-adjustments/many/reviews
DELETE /invoice-adjustments/{invoice_adjustment_id}

Delete an existing invoice adjustment.

operationId: Invoices_deleteAdjustment

Parameters

Name In Required Type Description
invoice_adjustment_id path optional number

ID of an existing invoice adjustment

reason query optional string

Reason for deleting an existing invoice adjustment

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

DELETE /invoice-adjustments/{invoice_adjustment_id}
PATCH /invoice-adjustments/{invoice_adjustment_id}

Update an existing invoice adjustment. It is not possible to update VAT adjustments, we recommend you to delete the existing VAT adjust and create a new one.

operationId: Invoices_updateAdjustmentById

Parameters

Name In Required Type Description
invoice_adjustment_id path optional number

ID of an existing invoice adjustment

Request Body

InvoiceAdjustment object that needs to be updated

application/json
schema InvoiceAdjustmentToUpdateContainer
Property Type Required
data object required
amount number optional
description string required

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

PATCH /invoice-adjustments/{invoice_adjustment_id}
GET /invoice-adjustments/{invoice_adjustment_id}/attachment

Retrieve Attachment file url of specified id.

operationId: Invoices_getAttachmentFileUrl

Parameters

Name In Required Type Description
invoice_adjustment_id path optional number

ID of an existing invoice adjustment

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /invoice-adjustments/{invoice_adjustment_id}/attachment
POST /invoice-adjustments/{invoice_adjustment_id}/reviews

Review an invoice adjustment to approve or decline it.

operationId: Invoices_submitAdjustmentReview

Parameters

Name In Required Type Description
invoice_adjustment_id path optional number

ID of an existing invoice adjustment

Request Body

InvoiceAdjustment review object that need to be created

application/json
schema InvoiceAdjustmentReviewToCreateContainer
Property Type Required
data object required
reason string required
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /invoice-adjustments/{invoice_adjustment_id}/reviews

Lookups 5 endpoints

GET /lookups/countries

Retrieve a list of countries supported by Deel.

operationId: Lookups_getCountryList

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /lookups/countries
GET /lookups/currencies

Retrieve the list of currencies used by Deel.

operationId: Lookups_getCurrenciesList

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /lookups/currencies
GET /lookups/job-titles

Retrieve a list of pre-defined job titles in Deel platform.

operationId: Lookups_getJobTitlesList

Parameters

Name In Required Type Description
limit query optional number

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

after_cursor query optional string

Return next page of results after given cursor

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /lookups/job-titles
GET /lookups/seniorities

Retrieve a list of pre-defined seniority level for roles in Deel platform.

operationId: Lookups_getSeniorityLevels

Parameters

Name In Required Type Description
limit query optional number

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /lookups/seniorities
GET /lookups/time-off-types

Retrieve a list of pre-defined time off types to register in Deel platform.

operationId: Lookups_getTimeOffTypes

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /lookups/time-off-types

Managers 2 endpoints

GET /managers

List all organization managers.

operationId: Managers_list

Parameters

Name In Required Type Description
limit query optional

Maximum number of records to return.

offset query optional

Offset/index of record for the next page of records to return.

Responses

200

Basic information of the new admin user.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

409

A matching profile already exists.

500

Operation failed.

GET /managers
POST /managers

Create a new organization manager.

operationId: Managers_createNewManager

Request Body

Basic information of the new admin user.

application/json
schema AdminUserCreateContainer
Property Type Required
data object required
email string required
last_name string required
first_name string required

Responses

201

Basic information of the new admin user.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

409

A matching profile already exists.

500

Operation failed.

POST /managers

Milestones 6 endpoints

GET /contracts/{contract_id}/milestones

Retrieve a list of milestones found for a contract.

operationId: Milestones_listByContract

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/milestones
POST /contracts/{contract_id}/milestones

Add a new milestone to contract.

operationId: Milestones_createNewMilestone

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Request Body

Milestone object that needs to be created

application/json
schema MilestoneToCreateContainer
Property Type Required
data object required
title string required
amount string required
description string required
multipart/form-data
schema MilestoneToCreateFormWithFile
Property Type Required
title string required
amount string required
description string required
file string optional

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/milestones
POST /contracts/{contract_id}/milestones/many/reviews

Review a batch of milestones to approve or reject submitted work.

operationId: Milestones_reviewMultiple

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Request Body

Milestone review objects that need to be created

application/json
schema MilestoneReviewsToCreateContainer
Property Type Required
data object required
ids array required
reason string optional
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/milestones/many/reviews
DELETE /contracts/{contract_id}/milestones/{milestone_id}

Delete a single milestone from a contract.

operationId: Milestones_deleteSingleMilestone

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

milestone_id path optional string

ID of milestone to return

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

DELETE /contracts/{contract_id}/milestones/{milestone_id}
GET /contracts/{contract_id}/milestones/{milestone_id}

Retrieve a single milestone.

operationId: Milestones_getSingleMilestone

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

milestone_id path optional string

ID of milestone to return

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/milestones/{milestone_id}
POST /contracts/{contract_id}/milestones/{milestone_id}/reviews

Review a milestone to approve or decline submitted work.

operationId: Milestones_createReview

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

milestone_id path optional string

ID of milestone to return

Request Body

Milestone review object that need to be created

application/json
schema MilestoneReviewToCreateContainer
Property Type Required
data object required
reason string optional
status string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/milestones/{milestone_id}/reviews

Offcyclepayments 3 endpoints

GET /contracts/{contract_id}/off-cycle-payments

Retrieve a list of off-cycle payments for the given contract id.

operationId: OffcyclePayments_getList

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/off-cycle-payments
POST /contracts/{contract_id}/off-cycle-payments

Add a new invoice line-item for the purpose of off-cycle payment for a given contract.

operationId: OffcyclePayments_addPaymentInvoice

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

Request Body

Off-cycle payment object that needs to be created

application/json
schema OffCyclePaymentToCreateContainer
Property Type Required
data object required
amount number required
description string optional
date_submitted string required

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /contracts/{contract_id}/off-cycle-payments
GET /contracts/{contract_id}/off-cycle-payments/{offcycle_payment_id}

Retrieve a single off-cycle payment.

operationId: OffcyclePayments_getSinglePayment

Parameters

Name In Required Type Description
contract_id path optional string

Deel contract id.

offcycle_payment_id path optional string

ID of off-cycle payment to return

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /contracts/{contract_id}/off-cycle-payments/{offcycle_payment_id}

Organizations 6 endpoints

GET /agreements

This end-point returns a list of your agreements with Deel.

operationId: Organizations_listAgreementsWithDeel

Parameters

Name In Required Type Description
contract_id query optional string

Deel contract id.

limit query optional

Maximum number of records to return.

offset query optional

Offset/index of record for the next page of records to return.

Responses

200

Successful operation.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /agreements
GET /departments

Get list of organization departments.

operationId: Organizations_getDepartmentList

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /departments
GET /legal-entities

Retrieve a list of legal entities in your account.

operationId: Organizations_getLegalEntitiesList

Parameters

Name In Required Type Description
type query optional string

Return list of global payroll legal entities if provided

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /legal-entities
GET /organizations

Retrieve the current organization details. Organization is automatically detected from the auth token.

operationId: Organizations_getDetails

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /organizations
GET /teams

Retrieve a list of teams in your organization.

operationId: Organizations_getTeamList

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /teams
GET /working-locations

Get organization working locations.

operationId: Organizations_getWorkingLocations

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /working-locations

Partnermanaged 13 endpoints

POST /partner-managed/employees/{employee_id}/banks

Add bank account for an EOR employee.

operationId: PartnerManaged_addBankAccountForEorEmployee

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

Request Body

Bank Account object that needs to be created

application/json
schema BankAccountToAddContainer
Property Type Required
data array required
key string required
value string required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /partner-managed/employees/{employee_id}/banks
GET /partner-managed/employees/{employee_id}/banks/guide

Retrieve bank account form guide for an EOR employee. This data can be used to add a new bank account for an employee.

operationId: PartnerManaged_getBankGuideForEorEmployee

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/banks/guide
PATCH /partner-managed/employees/{employee_id}/banks/{bank_id}

Modify bank account for an EOR employee.

operationId: PartnerManaged_modifyBankAccountForEorEmployee

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

bank_id path optional string

Bank Account id.

Request Body

Bank Account object that needs to be modified

application/json
schema BankAccountToAddContainer
Property Type Required
data array required
key string required
value string required

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

PATCH /partner-managed/employees/{employee_id}/banks/{bank_id}
GET /partner-managed/employees/{employee_id}/compliance-documents

Get a list of employee compliance documents.

operationId: PartnerManaged_listEmployeeComplianceDocuments

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/compliance-documents
POST /partner-managed/employees/{employee_id}/compliance-documents/{document_id}

Upload an employee compliance document.

operationId: PartnerManaged_uploadComplianceDocument

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

document_id path optional number

Unique identifier for a compliance document in Deel.

Request Body

The employee compliance document data to upload.

multipart/form-data
schema UploadEmployeeComplianceDocumentFileContainer
Property Type Required
file string required

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /partner-managed/employees/{employee_id}/compliance-documents/{document_id}
GET /partner-managed/employees/{employee_id}/compliance-documents/{document_id}/templates/download

Get the download link for an employee compliance document template, if it exists.

operationId: PartnerManaged_downloadComplianceDocumentTemplate

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

document_id path optional number

Unique identifier for a compliance document in Deel.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/compliance-documents/{document_id}/templates/download
POST /partner-managed/employees/{employee_id}/contracts/{contract_id}/additional-information

Add additional information for an EOR employee.

operationId: PartnerManaged_addAdditionalInformationForEorEmployee

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

Request Body

Bank Account object that needs to be created

application/json
schema AdditionalEORInfoContainer
Property Type Required
data object required

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /partner-managed/employees/{employee_id}/contracts/{contract_id}/additional-information
POST /partner-managed/employees/{employee_id}/contracts/{contract_id}/custom-verification-letter

Request employment verification letters, visa support, bank verification and more.

operationId: PartnerManaged_requestCustomVerificationLetter

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

Request Body

Request custom verification letter to be requested

application/json
schema RequestCustomVerificationLetterContainer
Property Type Required
data object required
type string required
description string required
includeQRCode boolean optional
multipart/form-data
schema RequestCustomVerificationLetterWithFile
Property Type Required
type string required
description string required
includeQRCode boolean optional
files array required
file string optional

Responses

201

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

POST /partner-managed/employees/{employee_id}/contracts/{contract_id}/custom-verification-letter
GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/employee-agreement

Retrieve an EOR Employee Agreement content in HTML.

operationId: PartnerManaged_getEmployeeAgreementHtml

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/employee-agreement
GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/employee-agreement/download

Get link to download the employee agreement PDF.

operationId: PartnerManaged_downloadEmployeeAgreementPdf

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/employee-agreement/download
GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/hr-documents

List all HR verification letters and documents available.

operationId: PartnerManaged_listHrVerificationLettersAndDocuments

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/hr-documents
GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/hr-documents/{document_id}/download

Retrieve URL to download HR verification letters and documents.

operationId: PartnerManaged_downloadHrVerificationLettersAndDocuments

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

document_id path optional number

Unique identifier for a compliance document in Deel.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/hr-documents/{document_id}/download
GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/offer-letter

Retrieve an EOR job offer letter in HTML. This endpoint does not support IC and Global Payroll contract types.

operationId: PartnerManaged_previewJobOfferLetter

Parameters

Name In Required Type Description
employee_id path optional string

Unique identifier for an employee in Deel.

contract_id path optional string

Deel contract id.

Responses

200

Successful operation.

400

Operation failed.

401

Operation failed.

403

Operation failed.

404

Operation failed.

405

Operation failed.

429

Operation failed.

500

Operation failed.

GET /partner-managed/employees/{employee_id}/contracts/{contract_id}/offer-letter
Load more endpoints